package ajax.example;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;
import java.util.Locale;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ShowTimeServlet extends HttpServlet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public void doGet(HttpServletRequest request, 
					  HttpServletResponse response) throws ServletException, IOException{
		response.setHeader("Cache-Control", "no-cache");
		response.setHeader("Pragma", "no-cache");
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		Date currentTime = new Date();
		Locale locale = new Locale("hu"); 
		String message = String.format(locale,"%tr, %tD", currentTime, currentTime );
		out.print(message);
	}
}
